summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Tim Fitzhenry <tom@fitzhenry.name>2010-05-11 20:00:56 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:56 +0200
commite4222dbc274afe9561eace10b6eb0e79dbcc6630 (patch)
treeeef0b8bb028fa2541df7361ebb29bc15b5062c83 /libraries
parent209640e811400436f4586dbc9307c7c98da3ac56 (diff)
downloadslackbuilds-e4222dbc274afe9561eace10b6eb0e79dbcc6630.tar.gz
slackbuilds-e4222dbc274afe9561eace10b6eb0e79dbcc6630.tar.xz
libraries/libtorrent: Added to 12.0 repository
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libtorrent/README7
-rw-r--r--libraries/libtorrent/libtorrent.SlackBuild64
-rw-r--r--libraries/libtorrent/libtorrent.info8
-rw-r--r--libraries/libtorrent/slack-desc19
4 files changed, 98 insertions, 0 deletions
diff --git a/libraries/libtorrent/README b/libraries/libtorrent/README
new file mode 100644
index 0000000000..a6a37657a4
--- /dev/null
+++ b/libraries/libtorrent/README
@@ -0,0 +1,7 @@
+LibTorrent is a BitTorrent library written in C++ for *nix, with a focus on high
+performance and good code. The library differentiates itself from other
+implementations by transfering directly from file pages to the network stack. On
+high-bandwidth connections it is able to seed at 3 times the speed of the
+official client.
+
+This requires libsigc++ (libsigcxx in the SlackBuilds.org repository).
diff --git a/libraries/libtorrent/libtorrent.SlackBuild b/libraries/libtorrent/libtorrent.SlackBuild
new file mode 100644
index 0000000000..c01fc8d2e5
--- /dev/null
+++ b/libraries/libtorrent/libtorrent.SlackBuild
@@ -0,0 +1,64 @@
+#!/bin/sh
+
+# Slackware build script for libtorrent
+# Written by Tom Fitzhenry <tom@fitzhenry.name> 2007/08/22
+
+# Updated by Andrew Brouwers, abrouwers@gmail.com
+
+APP=libtorrent
+VERSION=0.12.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$APP
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING INSTALL NEWS README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$APP-$VERSION
+cd $TMP || exit 1
+tar xvf $CWD/$APP-$VERSION.tar.gz || exit 1
+cd $APP-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$APP-$VERSION
+cp -a $DOCS $PKG/usr/doc/$APP-$VERSION
+find $PKG/usr/doc/$APP-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$APP.SlackBuild > $PKG/usr/doc/$APP-$VERSION/$APP-SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs \
+ strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs \
+ strip --strip-unneeded 2> /dev/null
+)
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$APP-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libtorrent/libtorrent.info b/libraries/libtorrent/libtorrent.info
new file mode 100644
index 0000000000..154f9f6a3f
--- /dev/null
+++ b/libraries/libtorrent/libtorrent.info
@@ -0,0 +1,8 @@
+PRGNAM="libtorrent"
+VERSION="0.12.0"
+HOMEPAGE="http://libtorrent.rakshasa.no/"
+DOWNLOAD="http://libtorrent.rakshasa.no/downloads/libtorrent-0.12.0.tar.gz"
+MD5SUM="003c5a7a1d001282892eeeb93b57e035"
+MAINTAINER="Tim Fitzhenry"
+EMAIL="tom@fitzhenry.name"
+APPROVED="rworkman"
diff --git a/libraries/libtorrent/slack-desc b/libraries/libtorrent/slack-desc
new file mode 100644
index 0000000000..15cb2415f6
--- /dev/null
+++ b/libraries/libtorrent/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+libtorrent: libtorrent (C++ torrent library)
+libtorrent:
+libtorrent: LibTorrent is a BitTorrent library written in C++ for *nix
+libtorrent: with a focus on high performance and good code.
+libtorrent:
+libtorrent: Homepage: http://libtorrent.rakshasa.no/
+libtorrent:
+libtorrent:
+libtorrent:
+libtorrent:
+libtorrent: